/*
 * @Author: Fancy
 * @Date: 2024-03-19 14:46:24
 * @LastEditors: spring
 * @LastEditTime: 2024-04-19 10:39:22
 * @Description:
 */
import { DepartmentChooseData } from '@/types/DepartmentStore';
import { request } from '@/utils/request';

export type DeptList = {
  deptCode: string;
  deptName: string;
};

/**
 *
 * @returns 获取科室列表数据
 */
export const getAppsDepartmentDataRequest = (data: { appId: string }) =>
  request<DepartmentChooseData>(
    '/service-ssobusiness/home/findVisitListByAppId',
    'post',
    data,
    {
      'Content-Type': 'multipart/form-data'
    }
  );

/**
 * 打开应用的时候调用，添加访问应用的记录
 * @param data 应用id和科室id
 */
export const addAppsRecordRequest = (data: {
  appId: string;
  deptCode: string;
}) =>
  request('/service-ssobusiness/home/addVisitApp', 'post', data, {
    'Content-Type': 'multipart/form-data'
  });
